/// <reference types="react" />
import { InputProps } from 'antd';
import { ConnectedField } from 'effector-forms/dist-types';
declare type propsInput = {
    name: string;
    label: string;
    required?: boolean;
    max?: number;
    min?: number;
    field: ConnectedField<any>;
    inputProps?: InputProps;
};
export declare const CustomizeFormItemInput: React.FC<propsInput>;
declare type propsTextArea = {
    name: string;
    label: string;
    required?: boolean;
    max?: number;
    min?: number;
    maxRows?: number;
    minRows?: number;
    field: ConnectedField<any>;
};
export declare const CustomizeFormItemTextArea: React.FC<propsTextArea>;
declare type propsSelect = {
    defaultValue?: string;
    enumsValues: any[];
    name: string;
    label: string;
    required?: boolean;
    field: ConnectedField<any>;
};
export declare const CustomizeFormItemSelect: React.FC<propsSelect>;
declare type propsAutoComplete = {
    options?: any[];
    field: ConnectedField<any>;
    label: string;
    name: string;
    onSearch: (searchText: string) => void;
    onSelect?: (data: string) => void;
};
export declare const CustomizeFormItemAutoComplete: React.FC<propsAutoComplete>;
declare type propsNumberInput = {
    field: ConnectedField<any>;
    label: string;
    name: string;
};
export declare const CustomizeFormItemNumberInput: React.FC<propsNumberInput>;
export {};
